Loading...
Searching...
No Matches
pdftron::PDF::CADConvertOptions Class Reference

`#include <CADConvertOptions.h>`

## Public Types
enum | LayoutSortOrder { e_default_order = 0 , e_alphabetic_order = 1 , e_alphanumeric_order = 2 }

## Public Member Functions
| CADConvertOptions ()
| ~CADConvertOptions ()
bool | GetAllowThinLines ()
CADConvertOptions & | SetAllowThinLines (bool value)
bool | GetAutoRotate ()
CADConvertOptions & | SetAutoRotate (bool value)
ColorPt | GetBackgroundColor ()
CADConvertOptions & | SetBackgroundColor (ColorPt value)
UString | GetColorMode ()
CADConvertOptions & | SetColorMode (const UString &value)
bool | GetIncludeInvisibleLayers ()
CADConvertOptions & | SetIncludeInvisibleLayers (bool value)
bool | GetIncludeModel ()
CADConvertOptions & | SetIncludeModel (bool value)
bool | GetIncludeNonPlottableLayers ()
CADConvertOptions & | SetIncludeNonPlottableLayers (bool value)
LayoutSortOrder | GetLayoutSortOrder ()
CADConvertOptions & | SetLayoutSortOrder (LayoutSortOrder value)
UInt32 | GetMaxXrefDepth ()
CADConvertOptions & | SetMaxXrefDepth (UInt32 value)
double | GetPageHeight ()
CADConvertOptions & | SetPageHeight (double value)
double | GetPageWidth ()
CADConvertOptions & | SetPageWidth (double value)
double | GetRasterDPI ()
CADConvertOptions & | SetRasterDPI (double value)
CADConvertOptions & | AddSheets (const UString &value)
bool | GetUnderlineTextDataFields ()
CADConvertOptions & | SetUnderlineTextDataFields (bool value)
bool | GetUseScaleFromDocument ()
CADConvertOptions & | SetUseScaleFromDocument (bool value)
bool | GetZoomToExtents ()
CADConvertOptions & | SetZoomToExtents (bool value)

## Detailed Description

Definition at line 9 of file CADConvertOptions.h.

## Member Enumeration Documentation

## ◆ LayoutSortOrder

enum pdftron::PDF::CADConvertOptions::LayoutSortOrder

Layout sorting options

Enumerator
e_default_order | Default sort order. In this case there is no explicit sort performed, and pages are placed in the order they are encountered in the source document.
e_alphabetic_order | Alphabetic sort order.
e_alphanumeric_order | Alphanumeric sort order (also called natural sort order)

Definition at line 15 of file CADConvertOptions.h.

## Constructor & Destructor Documentation

## ◆ CADConvertOptions()

pdftron::PDF::CADConvertOptions::CADConvertOptions | ( |  | ) |

## ◆ ~CADConvertOptions()

pdftron::PDF::CADConvertOptions::~CADConvertOptions | ( |  | ) |

## Member Function Documentation

## ◆ AddSheets()

CADConvertOptions & pdftron::PDF::CADConvertOptions::AddSheets | ( | const UString & | value | ) |

Adds the Sheets to the Sheets array The list of sheets to be converted – only applies to .rvt conversions

Parameters

  value | the new Sheets to be added to Sheets

Returns
  this object, for call chaining

## ◆ GetAllowThinLines()

bool pdftron::PDF::CADConvertOptions::GetAllowThinLines | ( |  | ) |

Gets the value AllowThinLines from the options object Sets drawing line weights to zero

Returns
  a bool, the current value for AllowThinLines.

## ◆ GetAutoRotate()

bool pdftron::PDF::CADConvertOptions::GetAutoRotate | ( |  | ) |

Gets the value AutoRotate from the options object Maps the orientation to the sheet dimensions

Returns
  a bool, the current value for AutoRotate.

## ◆ GetBackgroundColor()

ColorPt pdftron::PDF::CADConvertOptions::GetBackgroundColor | ( |  | ) |

Gets the value BackgroundColor from the options object Sets background color for cad conversion (display palette may be adjusted to contrast the chosen background color)

Returns
  a ColorPt, the current value for BackgroundColor.

## ◆ GetColorMode()

UString pdftron::PDF::CADConvertOptions::GetColorMode | ( |  | ) |

Gets the value ColorMode from the options object Sets the color palette used by the drawing export. Possible values are Mono (i.e., monochrome) and Gray (i.e., grayscale), otherwise drawing's original palette is used

Returns
  a UString, the current value for ColorMode.

## ◆ GetIncludeInvisibleLayers()

bool pdftron::PDF::CADConvertOptions::GetIncludeInvisibleLayers | ( |  | ) |

Gets the value IncludeInvisibleLayers from the options object. If enabled, invisible layers will be exported to PDF. Enabled by default.

Returns
  The current value for IncludeInvisibleLayers.

## ◆ GetIncludeModel()

bool pdftron::PDF::CADConvertOptions::GetIncludeModel | ( |  | ) |

Gets the value IncludeModel from the options object Instructs the conversion process to include the model layout (default: true). Note that if the model layout is empty, it will never be included in the output

Returns
  a bool, the current value for IncludeModel.

## ◆ GetIncludeNonPlottableLayers()

bool pdftron::PDF::CADConvertOptions::GetIncludeNonPlottableLayers | ( |  | ) |

Gets the value IncludeNonPlottableLayers from the options object. If enabled, layers with the Plotttable (printable) property set to false will be exported to PDF. Disabled by default.

Returns
  The current value for IncludeNonPlottableLayers.

## ◆ GetLayoutSortOrder()

LayoutSortOrder pdftron::PDF::CADConvertOptions::GetLayoutSortOrder | ( |  | ) |

Gets the value LayoutSortOrder from the options object Specifies how the layout is sorted during cad to pdf conversion. This affects how each layout is inserted into the output pdf (each layout becomes a pdf page).

Returns
  a LayoutSortOrder, the current value for LayoutSortOrder.

## ◆ GetMaxXrefDepth()

UInt32 pdftron::PDF::CADConvertOptions::GetMaxXrefDepth | ( |  | ) |

Gets the value MaxXrefDepth from the options object Maximum resolution depth for nested xrefs. Root drawing starts at level 0, subsequent nested levels increment by 1. Nested xrefs at levels greater than specified will not be loaded.

Returns
  a UInt32, the current value for MaxXrefDepth.

## ◆ GetPageHeight()

double pdftron::PDF::CADConvertOptions::GetPageHeight | ( |  | ) |

Gets the value PageHeight from the options object The height of the output pdf, in millimeters

Returns
  a double, the current value for PageHeight.

## ◆ GetPageWidth()

double pdftron::PDF::CADConvertOptions::GetPageWidth | ( |  | ) |

Gets the value PageWidth from the options object The width of the output pdf, in millimeters

Returns
  a double, the current value for PageWidth.

## ◆ GetRasterDPI()

double pdftron::PDF::CADConvertOptions::GetRasterDPI | ( |  | ) |

Gets the value RasterDPI from the options object Rasterization dpi used when rendering 3D content. Currently only applies to .rvt conversions

Returns
  a double, the current value for RasterDPI.

## ◆ GetUnderlineTextDataFields()

bool pdftron::PDF::CADConvertOptions::GetUnderlineTextDataFields | ( |  | ) |

Gets the value UnderlineTextDataFields from the options object If enabled, text data fields in the DGN CAD drawing are exported to PDF with an underline. Disabled by default.

Returns
  a bool, the current value for UnderlineTextDataFields.

## ◆ GetUseScaleFromDocument()

bool pdftron::PDF::CADConvertOptions::GetUseScaleFromDocument | ( |  | ) |

Gets the value UseScaleFromDocument from the options object If enabled, sets export paper size equal to layout geometry's coordinate range in mm when ranges are less than 5080 mm. Paper size dimensions are clamped at 5080 mm, and are rescaled if coordinate ranges exceed 5080 mm. Disabled by default.

Returns
  a bool, the current value for UseScaleFromDocument.

## ◆ GetZoomToExtents()

bool pdftron::PDF::CADConvertOptions::GetZoomToExtents | ( |  | ) |

Gets the value ZoomToExtents from the options object If enabled, the layout geometry is zoomed to the paper size, otherwise layout settings are applied. Enabled by default.

Returns
  a bool, the current value for ZoomToExtents.

## ◆ SetAllowThinLines()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetAllowThinLines | ( | bool | value | ) |

Sets the value for AllowThinLines in the options object Sets drawing line weights to zero

Parameters

  value | the new value for AllowThinLines

Returns
  this object, for call chaining

## ◆ SetAutoRotate()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetAutoRotate | ( | bool | value | ) |

Sets the value for AutoRotate in the options object Maps the orientation to the sheet dimensions

Parameters

  value | the new value for AutoRotate

Returns
  this object, for call chaining

## ◆ SetBackgroundColor()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetBackgroundColor | ( | ColorPt | value | ) |

Sets the value for BackgroundColor in the options object Sets background color for cad conversion (display palette may be adjusted to contrast the chosen background color)

Parameters

  value | the new value for BackgroundColor

Returns
  this object, for call chaining

## ◆ SetColorMode()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetColorMode | ( | const UString & | value | ) |

Sets the value for ColorMode in the options object Sets the color palette used by the drawing export. Possible values are Mono (i.e., monochrome) and Gray (i.e., grayscale), otherwise drawing's original palette is used

Parameters

  value | the new value for ColorMode

Returns
  this object, for call chaining

## ◆ SetIncludeInvisibleLayers()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetIncludeInvisibleLayers | ( | bool | value | ) |

Sets the value for IncludeInvisibleLayers in the options object. If enabled, invisible layers will be exported to PDF. Enabled by default.

Parameters

  value | The new value for IncludeInvisibleLayers.

Returns
  This object, for call chaining.

## ◆ SetIncludeModel()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetIncludeModel | ( | bool | value | ) |

Sets the value for IncludeModel in the options object Instructs the conversion process to include the model layout (default: true). Note that if the model layout is empty, it will never be included in the output

Parameters

  value | the new value for IncludeModel

Returns
  this object, for call chaining

## ◆ SetIncludeNonPlottableLayers()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetIncludeNonPlottableLayers | ( | bool | value | ) |

Sets the value for IncludeNonPlottableLayers in the options object. If enabled, layers with the Plotttable (printable) property set to false will be exported to PDF. Disabled by default.

Parameters

  value | The new value for IncludeNonPlottableLayers.

Returns
  This object, for call chaining.

## ◆ SetLayoutSortOrder()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetLayoutSortOrder | ( | LayoutSortOrder | value | ) |

Sets the value for LayoutSortOrder in the options object Specifies how the layout is sorted during cad to pdf conversion. This affects how each layout is inserted into the output pdf (each layout becomes a pdf page).

Parameters

  value | the new value for LayoutSortOrder

Returns
  this object, for call chaining

## ◆ SetMaxXrefDepth()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetMaxXrefDepth | ( | UInt32 | value | ) |

Sets the value for MaxXrefDepth in the options object Maximum resolution depth for nested xrefs. Root drawing starts at level 0, subsequent nested levels increment by 1. Nested xrefs at levels greater than specified will not be loaded.

Parameters

  value | the new value for MaxXrefDepth

Returns
  this object, for call chaining

## ◆ SetPageHeight()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetPageHeight | ( | double | value | ) |

Sets the value for PageHeight in the options object The height of the output pdf, in millimeters

Parameters

  value | the new value for PageHeight

Returns
  this object, for call chaining

## ◆ SetPageWidth()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetPageWidth | ( | double | value | ) |

Sets the value for PageWidth in the options object The width of the output pdf, in millimeters

Parameters

  value | the new value for PageWidth

Returns
  this object, for call chaining

## ◆ SetRasterDPI()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetRasterDPI | ( | double | value | ) |

Sets the value for RasterDPI in the options object Rasterization dpi used when rendering 3D content. Currently only applies to .rvt conversions

Parameters

  value | the new value for RasterDPI

Returns
  this object, for call chaining

## ◆ SetUnderlineTextDataFields()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetUnderlineTextDataFields | ( | bool | value | ) |

Sets the value for UnderlineTextDataFields in the options object If enabled, text data fields in the DGN CAD drawing are exported to PDF with an underline. Disabled by default.

Parameters

  value | the new value for UnderlineTextDataFields.

Returns
  this object, for call chaining

## ◆ SetUseScaleFromDocument()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetUseScaleFromDocument | ( | bool | value | ) |

Sets the value for UseScaleFromDocument in the options object If enabled, sets export paper size equal to layout geometry's coordinate range in mm when ranges are less than 5080 mm. Paper size dimensions are clamped at 5080 mm, and are rescaled if coordinate ranges exceed 5080 mm. Disabled by default.

Parameters

  value | the new value for UseScaleFromDocument

Returns
  this object, for call chaining

## ◆ SetZoomToExtents()

CADConvertOptions & pdftron::PDF::CADConvertOptions::SetZoomToExtents | ( | bool | value | ) |

Sets the value for ZoomToExtents in the options object If enabled, the layout geometry is zoomed to the paper size, otherwise layout settings are applied. Enabled by default.

Parameters

  value | the new value for ZoomToExtents

Returns
  this object, for call chaining

The documentation for this class was generated from the following file:

- PDF/CADConvertOptions.h